## sonobuoy gen plugin

Generates the manifest Sonobuoy uses to define a plugin

### Synopsis

Generates the manifest Sonobuoy uses to define a plugin

```
sonobuoy gen plugin [flags]
```

### Examples

```
sonobuoy gen plugin -n myPlugin -i myregistry/myimage:v0
```

### Options

```
  -a, --arg stringArray                Arg values to set on the plugin. Can be set multiple times (e.g. --arg 'arg 1' --arg arg2)
  -c, --cmd stringArray                Command to run when starting the plugin's container. Can be set multiple times (e.g. --cmd /bin/sh -c "-c") (default [./run.sh])
      --configmap stringArray          Specifies files to read and add as configMaps. Will be mounted to the plugin at /tmp/sonobuoy/configs/<filename>.
  -D, --description string             Description for the plugin
  -e, --env envvar                     Env var values to set on the plugin (e.g. --env FOO=bar) (default map[])
  -f, --format string                  Result format (junit or raw) (default "raw")
  -h, --help                           help for plugin
  -i, --image string                   Plugin image
  -n, --name string                    Plugin name
      --node-selector stringToString   Node selector for the plugin (key=value). Usually set to specify OS via kubernetes.io/os=windows. Can be set multiple times. (default [])
      --show-default-podspec           If true, include the default pod spec used for plugins in the output.
  -t, --type pluginDriver              Plugin Driver (job or daemonset) (default Job)
  -u, --url string                     URL for the plugin
```

### Options inherited from parent commands

```
      --level level   Log level. One of {panic, fatal, error, warn, info, debug, trace} (default info)
```

### SEE ALSO

* [sonobuoy gen](sonobuoy_gen.md)	 - Generates a sonobuoy manifest for submission via kubectl
* [sonobuoy gen plugin e2e](sonobuoy_gen_plugin_e2e.md)	 - Generates the e2e plugin definition based on the given options
* [sonobuoy gen plugin systemd-logs](sonobuoy_gen_plugin_systemd-logs.md)	 - Generates the systemd-logs plugin definition based on the given options

###### Auto generated by spf13/cobra on 10-Jun-2022
